Skip to main content
`Ctrl`+`K`

# PetscMallocTraceSet

Trace all calls to `PetscMalloc()`. That is print each `PetscMalloc()` and `PetscFree()` call to a viewer.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocTraceSet(PetscViewer viewer, PetscBool active, PetscLogDouble logmin)

Not Collective

## Input Parameters

- viewer - The viewer to use for tracing, or `NULL` to use `PETSC_VIEWER_STDOUT_SELF`

- active - Flag to activate or deactivate tracing

- logmin - The smallest memory size that will be logged

## Note

The viewer should not be collective.

This only does anything if `-malloc_debug` (or `-malloc_test` if PETSc was configured with debugging) has been used

## See Also

`PetscMallocTraceGet()`, `PetscMallocViewGet()`, `PetscMallocDump()`, `PetscMallocView()`, `PetscMalloc()`, `PetscFree()`

## Level

advanced

## Location

src/sys/memory/mtr.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages